Loading...
Searching...
No Matches
casacore::MSDataDescIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSDataDescIndex.h>`

## Public Member Functions

| MSDataDescIndex (const MSDataDescription &dataDescription)
| Construct from an MS DATA_DESC subtable.
virtual | ~MSDataDescIndex ()
| Null destructor.
Vector< Int > | matchSpwId (const Int &spwId)
| Look up DATA_DESC_ID's for a given spectral window id.
Vector< Int > | matchSpwId (const Vector< Int > &spwIds)
Vector< Int > | matchPolId (const Int &polId)
| Look up DATA_DESC_ID's for a given polarization id.
Vector< Int > | matchPolId (const Vector< Int > &polIds)
Vector< Int > | matchSpwIdAndPolznId (const Int &spwId, const Int &polznId)
| Look up DATA_DESC_ID's for a given spectral window and polarization id.

## Private Member Functions

| MSDataDescIndex ()
| Disallow null constructor.

## Private Attributes

MSDataDescColumns | msDataDescCols_p
| DATA_DESC subtable column accessor.
Vector< Int > | dataDescIds_p
| Vector cache of DataDesc id's.
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into a MS DATA_DESC subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSDataDescription

### Etymology

From "MeasurementSet", "DATA_DESC subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS DATA_DESC subtable. These services include returning rows numbers (which for the DATA_DESC subtable are DATA_DESC_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the DATA_DESC subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 79 of file MSDataDescIndex.h.

## Constructor & Destructor Documentation

## MSDataDescIndex() [1/2]

casacore::MSDataDescIndex::MSDataDescIndex | ( | const MSDataDescription & | dataDescription | ) |

Construct from an MS DATA_DESC subtable.

## ~MSDataDescIndex()

virtual casacore::MSDataDescIndex::~MSDataDescIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 86 of file MSDataDescIndex.h.

## MSDataDescIndex() [2/2]

casacore::MSDataDescIndex::MSDataDescIndex | ( |  | ) |

private

Disallow null constructor.

## Member Function Documentation

## matchPolId() [1/2]

Vector< Int > casacore::MSDataDescIndex::matchPolId | ( | const Int & | polId | ) |

Look up DATA_DESC_ID's for a given polarization id.

## matchPolId() [2/2]

Vector< Int > casacore::MSDataDescIndex::matchPolId | ( | const Vector< Int > & | polIds | ) |

## matchSpwId() [1/2]

Vector< Int > casacore::MSDataDescIndex::matchSpwId | ( | const Int & | spwId | ) |

Look up DATA_DESC_ID's for a given spectral window id.

## matchSpwId() [2/2]

Vector< Int > casacore::MSDataDescIndex::matchSpwId | ( | const Vector< Int > & | spwIds | ) |

## matchSpwIdAndPolznId()

Vector< Int > casacore::MSDataDescIndex::matchSpwIdAndPolznId | ( | const Int & | spwId,
|  | const Int & | polznId )

Look up DATA_DESC_ID's for a given spectral window and polarization id.

## Member Data Documentation

## dataDescIds_p

Vector<Int> casacore::MSDataDescIndex::dataDescIds_p

private

Vector cache of DataDesc id's.

Definition at line 107 of file MSDataDescIndex.h.

## msDataDescCols_p

MSDataDescColumns casacore::MSDataDescIndex::msDataDescCols_p

private

DATA_DESC subtable column accessor.

Definition at line 104 of file MSDataDescIndex.h.

## nrows_p

Int casacore::MSDataDescIndex::nrows_p

private

Definition at line 108 of file MSDataDescIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSDataDescIndex.h